import { observer } from 'mobx-react';
import * as React from 'react';
import { C as Checkbox } from './index-4700627d.js';
import { w as appContext } from './MapEditView-67426f04.js';
import 'classnames';
import './Spin-91879212.js';
import 'maptalks';
import 'lodash';
import 'uuid';
import 'mobx';
import 'lz-string';
import 'dayjs';
import 'react-dom';
import 'react-is';
import '@loadable/component';
import 'js-beautify';
import 'axios';
import 'superstruct';
import '@tanem/react-nprogress';
import 'jquery';
import 'chroma-js';
import 'js-cookie';
import 'is-email';
import 'is-uuid';
import 'is-url';
import 'anymatch';
import 'perf-request';
import '@syncpoint/wkx';
import 'buffer';
import '@turf/turf';
import '@mapbox/polylabel';
import 'turf-multipolygon';
import 'turf-polygon';
import 'gcoord';
import 'eventemitter2';
import 'geobuf';
import 'localforage';
import 'rc-menu';
import 'perfect-scrollbar';
import 'ahooks';
import 'jszip';
import 'file-saver';
import 'screenfull';
import 'sql-formatter-fork';
import 'array-move';
import 'turf-multilinestring';
import 'copy-to-clipboard';
import 'maptalks.three';
import 'ajv';
import 'spark-md5';
import 'react-draggable';
import 'react-virtualized';
import 'turf-point';
import 'decamelize';
import 'rbush';
import 'qs';
import 'maptalks.snap';
import 'react-use';
import 'react-rnd';
import 'react-beautiful-dnd';

var MapMobileSettings = function () {
    var routeStore = React.useContext(appContext.getContext()).routeStore;
    var _a = routeStore.MapSettingStore, _b = _a.MapMobileSettingStore, changeShowFence = _b.changeShowFence, changeShowFindMe = _b.changeShowFindMe, changeShowGeoTools = _b.changeShowGeoTools, changeShowResetMap = _b.changeShowResetMap, _c = _a.mobileSettings, showFence = _c.showFence, showFindMe = _c.showFindMe, showGeoTools = _c.showGeoTools;
    return (React.createElement("div", { className: "map-mobile-settings" },
        React.createElement("div", null, "\u8BBE\u7F6E"),
        React.createElement("div", { className: "map-mobile-settings-list" },
            React.createElement("div", null,
                React.createElement(Checkbox, { checked: showFence, onClick: function () {
                        changeShowFence();
                    } }, "\u663E\u793A\u56F4\u680F")),
            React.createElement("div", null,
                React.createElement(Checkbox, { checked: showGeoTools, onClick: function () {
                        changeShowGeoTools();
                    } }, "\u663E\u793A\u5730\u7406\u5DE5\u5177")),
            React.createElement("div", null,
                React.createElement(Checkbox, { checked: showFindMe, onClick: function () {
                        changeShowFindMe();
                    } }, "\u663E\u793A\u5B9A\u4F4D\u5DE5\u5177")),
            React.createElement("div", null,
                React.createElement(Checkbox, { checked: showFindMe, onClick: function () {
                        changeShowResetMap();
                    } }, "\u663E\u793A\u91CD\u7F6E\u5730\u56FE")))));
};
var MapMobileSettings$1 = observer(MapMobileSettings);

export { MapMobileSettings$1 as default };
